RDKit::MolCatalogParams Class Reference

container for user parameters used to create a mol catalog More...

`#include <MolCatalogParams.h>`

Inheritance diagram for RDKit::MolCatalogParams:

## Public Member Functions

| MolCatalogParams ()
| ~MolCatalogParams ()
| MolCatalogParams (const MolCatalogParams &other)
| copy constructor More...
| MolCatalogParams (const std::string &pickle)
| construct from a pickle string (serialized representation) More...
void | toStream (std::ostream &) const
| serializes to the stream More...
std::string | Serialize () const
| returns a serialized (pickled) form More...
void | initFromStream (std::istream &ss)
| initialize from a stream containing a pickle More...
void | initFromString (const std::string &text)
| initialize from a string containing a pickle More...
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string More...
void | setTypeStr (const std::string &typeStr)
| sets our type string More...

## Additional Inherited Members

Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string More...

## Detailed Description

container for user parameters used to create a mol catalog

Definition at line 15 of file MolCatalogParams.h.

## Constructor & Destructor Documentation

## MolCatalogParams() [1/3]

RDKit::MolCatalogParams::MolCatalogParams | ( |  | ) |

inline

Definition at line 18 of file MolCatalogParams.h.

## ~MolCatalogParams()

RDKit::MolCatalogParams::~MolCatalogParams | ( |  | ) |

## MolCatalogParams() [2/3]

RDKit::MolCatalogParams::MolCatalogParams | ( | const MolCatalogParams & | other | ) |

inline

copy constructor

Definition at line 23 of file MolCatalogParams.h.

References RDCatalog::CatalogParams::d_typeStr.

## MolCatalogParams() [3/3]

RDKit::MolCatalogParams::MolCatalogParams | ( | const std::string & | pickle | ) |

construct from a pickle string (serialized representation)

## Member Function Documentation

## initFromStream()

void RDKit::MolCatalogParams::initFromStream | ( | std::istream & | ss | ) |

virtual

initialize from a stream containing a pickle

Implements RDCatalog::CatalogParams.

## initFromString()

void RDKit::MolCatalogParams::initFromString | ( | const std::string & | text | ) |

virtual

initialize from a string containing a pickle

Implements RDCatalog::CatalogParams.

## Serialize()

std::string RDKit::MolCatalogParams::Serialize | ( |  | ) | const

virtual

returns a serialized (pickled) form

Implements RDCatalog::CatalogParams.

## toStream()

void RDKit::MolCatalogParams::toStream | ( | std::ostream & |  | ) | const

virtual

serializes to the stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- MolCatalogParams.h